#ifndef MCU_ARM1_H
#define MCU_ARM1_H
#include <QSerialPort>
#include <QWidget>
#include "net_thread.h"

class mcu_arm1 : public QObject{
    Q_OBJECT
public:
    explicit mcu_arm1();
    ~mcu_arm1();
    void Set_Init();
    void testSerialPort(uint8_t uart);
    void setCT();
    void setEnable(uint8_t enable);
    void setIorn(uint8_t state);
    void setTime();
    void setWirelessT();
    void setoverheat();
    void setFanStartT();
    void setFanState(uint8_t state);
    void GetRtcTime();
    void setFanTiming(uint8_t state);
    void setBuzzerState(uint8_t state);

    void rxy_state();    // 热像仪状态   23.8.16
    void Realtime_temperature(int max,int min,int average);   //热像仪1实时温度  23.8.16
    void Realtime_temperature1(int max,int min,int average);   //热像仪2实时温度  23.8.16
    void Powerlost_datapost(bool isok);           //断电数据上传成功信号
private:
        QSerialPort *m_serialPort;

};

#endif
